Skip to main content
`Ctrl`+`K`

# TaoTermShellSetContextDestroy

Set a method to destroy the context resources when a `TAOTERMSHELL` is destroyed

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoTermShellSetContextDestroy(TaoTerm term, PetscCtxDestroyFn *destroy)

Logically collective

## Input Parameters

- term - a `TaoTerm` of type `TAOTERMSHELL`

- destroy - the context destroy function

## See Also

TaoTerm: composable objective function terms, `TaoTerm`, `TAOTERMSHELL`, `TaoTermShellSetContext()`, `TaoTermShellGetContext()`

## Level

intermediate

## Location

src/tao/term/impls/shell/taotermshell.c

## Implementations

TaoTermShellSetContextDestroy_Shell() in src/tao/term/impls/shell/taotermshell.c

Index of all TaoTerm routines
Table of Contents for all manual pages
Index of all manual pages